aboutsummaryrefslogtreecommitdiffstats
path: root/main/lsof/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-09-09 17:31:59 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-09-09 17:33:34 +0000
commite2e91be06619d9aa797d2b915efc81e0c584ff63 (patch)
treedb773f804c9151940496cdf3df16623bd728928d /main/lsof/APKBUILD
parent09cbac9528a8cde948ec8cbb5ab2739dbf19700c (diff)
downloadaports-e2e91be06619d9aa797d2b915efc81e0c584ff63.tar.gz
aports-e2e91be06619d9aa797d2b915efc81e0c584ff63.tar.bz2
aports-e2e91be06619d9aa797d2b915efc81e0c584ff63.tar.xz
main/lsof: new aport
lsof (LiSt Open Files) lists information about files that are open by the running processes http://people.freebsd.org/~abe/
Diffstat (limited to 'main/lsof/APKBUILD')
-rw-r--r--main/lsof/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/main/lsof/APKBUILD b/main/lsof/APKBUILD
new file mode 100644
index 0000000000..f5285d4875
--- /dev/null
+++ b/main/lsof/APKBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=lsof
+pkgver=4.82
+pkgrel=0
+pkgdesc="LiSt Open Files"
+url="http://people.freebsd.org/~abe/"
+license="custom"
+subpackages="$pkgname-doc"
+depends=
+makedepends=""
+source="ftp://sunsite.ualberta.ca/pub/Mirror/$pkgname/${pkgname}_$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/${pkgname}_$pkgver
+ tar -xf ${pkgname}_${pkgver}_src.tar
+ cd ${pkgname}_${pkgver}_src
+ sed -e "s|/\* #define\tHASSECURITY\t1 \*/|#define\tHASSECURITY\t1|" \
+ -i dialects/linux/machine.h
+ ./Configure -n linux
+ make || return 1
+ install -D -m0755 -o root -g root lsof "$pkgdir"/usr/sbin/lsof
+ install -D -m0644 -o root -g root lsof.8 \
+ "$pkgdir"/usr/share/man/man8/lsof.8
+}
+md5sums="5518a0c16fc937523b3d1a946cf59e5b lsof_4.82.tar.bz2"